Creates a new automation rule configuration.
curl --request POST \
--url https://{install}/api/rule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"active": true,
"owner": 123,
"ownerId": "<string>",
"trigger": 123,
"triggerEvent": 123,
"triggerInterval": "<string>",
"container": [
"<string>"
],
"conditionGroup": [
{
"condition": [
{
"id": "<string>",
"leftSide": "<string>",
"rightSide": "<string>",
"operator": 123
}
]
}
],
"actionValue": [
{
"actionType": 123,
"field": "<string>",
"value": "<unknown>",
"id": "<string>",
"active": true
}
],
"actionEndpoint": [
{
"actionType": 123,
"url": "<string>",
"httpHeader": [
"<string>"
],
"id": "<string>",
"active": true
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'import requests
url = "https://{install}/api/rule"
payload = {
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"active": True,
"owner": 123,
"ownerId": "<string>",
"trigger": 123,
"triggerEvent": 123,
"triggerInterval": "<string>",
"container": ["<string>"],
"conditionGroup": [{ "condition": [
{
"id": "<string>",
"leftSide": "<string>",
"rightSide": "<string>",
"operator": 123
}
] }],
"actionValue": [
{
"actionType": 123,
"field": "<string>",
"value": "<unknown>",
"id": "<string>",
"active": True
}
],
"actionEndpoint": [
{
"actionType": 123,
"url": "<string>",
"httpHeader": ["<string>"],
"id": "<string>",
"active": True
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
name: '<string>',
description: '<string>',
active: true,
owner: 123,
ownerId: '<string>',
trigger: 123,
triggerEvent: 123,
triggerInterval: '<string>',
container: ['<string>'],
conditionGroup: [
{
condition: [{id: '<string>', leftSide: '<string>', rightSide: '<string>', operator: 123}]
}
],
actionValue: [
{
actionType: 123,
field: '<string>',
value: '<unknown>',
id: '<string>',
active: true
}
],
actionEndpoint: [
{
actionType: 123,
url: '<string>',
httpHeader: ['<string>'],
id: '<string>',
active: true
}
],
tenantId: '<string>',
id: '<string>',
created: '2023-11-07T05:31:56Z',
createdBy: '<string>',
updated: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
deleted: true
})
};
fetch('https://{install}/api/rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/rule");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"entity\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"active\": true,\n \"owner\": 123,\n \"ownerId\": \"<string>\",\n \"trigger\": 123,\n \"triggerEvent\": 123,\n \"triggerInterval\": \"<string>\",\n \"container\": [\n \"<string>\"\n ],\n \"conditionGroup\": [\n {\n \"condition\": [\n {\n \"id\": \"<string>\",\n \"leftSide\": \"<string>\",\n \"rightSide\": \"<string>\",\n \"operator\": 123\n }\n ]\n }\n ],\n \"actionValue\": [\n {\n \"actionType\": 123,\n \"field\": \"<string>\",\n \"value\": \"<unknown>\",\n \"id\": \"<string>\",\n \"active\": true\n }\n ],\n \"actionEndpoint\": [\n {\n \"actionType\": 123,\n \"url\": \"<string>\",\n \"httpHeader\": [\n \"<string>\"\n ],\n \"id\": \"<string>\",\n \"active\": true\n }\n ],\n \"tenantId\": \"<string>\",\n \"id\": \"<string>\",\n \"created\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": \"<string>\",\n \"updated\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"deleted\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
Workflow
Creates a new automation rule configuration.
POST
/
api
/
rule
Creates a new automation rule configuration.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The rule configuration to create.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Rule created successfully.
Lists all automation rule configurations for the current tenant.
Previous
Updates an existing automation rule configuration.
Next
⌘I